package com.dxhy.erp.entity.alltax;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author futianhao
 */
public class CompInputInvoice {
    private long id;
    private String invoiceType;
    private String invoiceCode;
    private String invoiceNo;
    private String invoiceDate;
    /**
     * 作废日期
     */
    private String cancelDate;
    /**
     * 销方税号
     */
    private String salerTaxNo;
    private String salerName;
    private String salerAddressPhone;
    private String buyerTaxNo;
    private String buyerName;
    private String buyerAddressPhone;
    /**
     * 金额合计
     */
    private BigDecimal sumAmount;
    /**
     * 税额合计
     */
    private BigDecimal sumTaxAmount;
    /**
     * 价税合计
     */
    private BigDecimal sumPriceTax;
    private String remark;
    /**
     * 蓝字发票代码
     */
    private String blueInvoiceCode;
    /**
     * 蓝字发票号码
     */
    private String blueInvoiceNo;
    /**
     * 代开纳税人识别号
     */
    private String replaceTaxpayerCode;
    /**
     * 代开企业名称
     */
    private String replaceCompanyName;
    /**
     * 认证日期
     */
    private String authDate;
    /**
     * 认证属期
     */
    private String authPeriod;
    /**
     * 发票种类代码
     */
    private String invoiceKindCode;
    /**
     * 设备编号
     */
    private String equipmentNo;
    /**
     * 作废标志
     */
    private String cancelMark;
    /**
     * 认证状态
     */
    private String authState;
    /**
     * 开票人
     */
    private String drawer;
    /**
     * 收款人
     */
    private String payee;
    /**
     * 复核人
     */
    private String reviewer;
    private String keyword;
    private Date createDate;
    private List<CompInputInvoiceDetail> compInputInvoiceDetail;

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getCancelDate() {
        return cancelDate;
    }

    public void setCancelDate(String cancelDate) {
        this.cancelDate = cancelDate;
    }

    public String getSalerTaxNo() {
        return salerTaxNo;
    }

    public void setSalerTaxNo(String salerTaxNo) {
        this.salerTaxNo = salerTaxNo;
    }

    public String getSalerName() {
        return salerName;
    }

    public void setSalerName(String salerName) {
        this.salerName = salerName;
    }

    public String getSalerAddressPhone() {
        return salerAddressPhone;
    }

    public void setSalerAddressPhone(String salerAddressPhone) {
        this.salerAddressPhone = salerAddressPhone;
    }

    public String getBuyerTaxNo() {
        return buyerTaxNo;
    }

    public void setBuyerTaxNo(String buyerTaxNo) {
        this.buyerTaxNo = buyerTaxNo;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerAddressPhone() {
        return buyerAddressPhone;
    }

    public void setBuyerAddressPhone(String buyerAddressPhone) {
        this.buyerAddressPhone = buyerAddressPhone;
    }

    public BigDecimal getSumAmount() {
        return sumAmount;
    }

    public void setSumAmount(BigDecimal sumAmount) {
        this.sumAmount = sumAmount;
    }

    public BigDecimal getSumTaxAmount() {
        return sumTaxAmount;
    }

    public void setSumTaxAmount(BigDecimal sumTaxAmount) {
        this.sumTaxAmount = sumTaxAmount;
    }

    public BigDecimal getSumPriceTax() {
        return sumPriceTax;
    }

    public void setSumPriceTax(BigDecimal sumPriceTax) {
        this.sumPriceTax = sumPriceTax;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBlueInvoiceCode() {
        return blueInvoiceCode;
    }

    public void setBlueInvoiceCode(String blueInvoiceCode) {
        this.blueInvoiceCode = blueInvoiceCode;
    }

    public String getBlueInvoiceNo() {
        return blueInvoiceNo;
    }

    public void setBlueInvoiceNo(String blueInvoiceNo) {
        this.blueInvoiceNo = blueInvoiceNo;
    }

    public String getReplaceTaxpayerCode() {
        return replaceTaxpayerCode;
    }

    public void setReplaceTaxpayerCode(String replaceTaxpayerCode) {
        this.replaceTaxpayerCode = replaceTaxpayerCode;
    }

    public String getReplaceCompanyName() {
        return replaceCompanyName;
    }

    public void setReplaceCompanyName(String replaceCompanyName) {
        this.replaceCompanyName = replaceCompanyName;
    }

    public String getAuthDate() {
        return authDate;
    }

    public void setAuthDate(String authDate) {
        this.authDate = authDate;
    }

    public String getAuthPeriod() {
        return authPeriod;
    }

    public void setAuthPeriod(String authPeriod) {
        this.authPeriod = authPeriod;
    }

    public String getInvoiceKindCode() {
        return invoiceKindCode;
    }

    public void setInvoiceKindCode(String invoiceKindCode) {
        this.invoiceKindCode = invoiceKindCode;
    }

    public String getEquipmentNo() {
        return equipmentNo;
    }

    public void setEquipmentNo(String equipmentNo) {
        this.equipmentNo = equipmentNo;
    }

    public String getCancelMark() {
        return cancelMark;
    }

    public void setCancelMark(String cancelMark) {
        this.cancelMark = cancelMark;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public String getDrawer() {
        return drawer;
    }

    public void setDrawer(String drawer) {
        this.drawer = drawer;
    }

    public String getPayee() {
        return payee;
    }

    public void setPayee(String payee) {
        this.payee = payee;
    }

    public String getReviewer() {
        return reviewer;
    }

    public void setReviewer(String reviewer) {
        this.reviewer = reviewer;
    }

    public List<CompInputInvoiceDetail> getCompInputInvoiceDetail() {
        return compInputInvoiceDetail;
    }

    public void setCompInputInvoiceDetail(List<CompInputInvoiceDetail> compInputInvoiceDetail) {
        this.compInputInvoiceDetail = compInputInvoiceDetail;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }
}
